/*--motor2.h--*/

/*	CxgtOrbgp^[` (EV_MOTOR2)		*/
#define	event_MOTOR2DRV 			(0x00000001)	/*	MOTOR2쓮	*/
#define	event_MOTOR2DRV_PRESTART	(0x00000010)	/*	MOTOR2(O쓮Jnp)	*/

/*x`*/
#define MOTOR2_SPEEDLOW (10)	/* cm/s */
#define MOTOR2_SPEEDMID (50)	/* cm/s */
#define MOTOR2_SPEEDHIGH (100)	/* cm/s */

/*Cxg*/
#define MOTOR2_NO_EVENT (0)
#define MOTOR2_PRESTART	(1)

/*p[^*/
#define GAIN2_P (1)
#define GAIN2_I (1)
#define GAIN2_D (1)

#define PID2_MAX (1000)
#define PID2_MIN (-1000)

/*eR[h*/
typedef enum motor2_func_code_tag {
	MOTOR2_INIT = 0,			/** gp				*/
	MOTOR2_DRV,					/** v			*/
	MOTOR2_DRV_EVENT,			/** Cxgv	*/
	MOTOR2_STOP,

	MOTOR2_NO_RETURN_CODE		/** v			*/
} MOTOR2_FUNC_CODE;



/** svbZ[W\	*/
typedef struct motor2_rqst_msg_st_tag {
	T_MSG 		ComArea;					/** ʃGA		*/
	ID	  		src_mb;					/** M惁[{bNX*/
	long_t 		func_code;
	long_t 		Speed;					/** ڕWx		*/
	long_t 		Length;					/** ړ		*/
	long_t 		EventNo;					/** ΉCxg	*/
	bool_t		result;					/** M(TRUE: / FALSE:s)*/
} MOTOR2_RQST_MSG_ST;

/*֐wb_*/
void Motor2_DRV(long_t Speed, long_t Length);
void Motor2_DRVEvent(long_t Speed, long_t Length);
void Motor2_Stop(void);
void Motor2_Wait_DRVStop(void);
void Motor2_Wait_EventStop(void);
void Motor2_Init(void);
void Int_Motor2(void);